Pular para o conteúdo

/api/v1/datagrids/{id} (GET)

GET
/api/v1/datagrids/{id}
curl --request GET \
--url https://api.endless.zaia.app/api/v1/datagrids/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0

Retrieves a datagrid.

id
required

A UUID v4 string that identifies an entity.

string format: uuid

A UUID v4 string that identifies an entity.

Retrieves a datagrid.

Media typeapplication/json
object
createdAt
required
string format: date-time
id
required

A UUID v4 string that identifies an entity.

string format: uuid
updatedAt
required
string format: date-time
contentUpdatedAt
required

When the content of the datagrid was last updated.

string format: date-time
description
required

The internal description of the datagrid.

string
nullable >= 3 characters <= 250 characters
name
required

The display name of the datagrid.

string
>= 3 characters <= 50 characters
workspaceId
required

The workspace ID that owns the datagrid.

string format: uuid
Examplegenerated
{
"createdAt": "2026-04-15T12:00:00Z",
"id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0",
"updatedAt": "2026-04-15T12:00:00Z",
"contentUpdatedAt": "2026-04-15T12:00:00Z",
"description": "example",
"name": "example",
"workspaceId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0"
}

Unauthorized.

Media typeapplication/json

The description of a known exception.

object
code

The error code.

string
cta

The error call-to-action.

object
type
required
string
Allowed values: support-contact
url
required
string format: uri
feedback
required

The error feedback.

object
enUs
string
esEs
string
ptBr
string
message
required

The error message.

string
name
required

The error name.

string
Example
{
"cta": {
"type": "support-contact"
}
}

Datagrid not found.

Media typeapplication/json

The description of a known exception.

object
code

The error code.

string
cta

The error call-to-action.

object
type
required
string
Allowed values: support-contact
url
required
string format: uri
feedback
required

The error feedback.

object
enUs
string
esEs
string
ptBr
string
message
required

The error message.

string
name
required

The error name.

string
Example
{
"cta": {
"type": "support-contact"
}
}